void CreateStoryCharacters(ref n)
{
	int tmpNameFileID = LanguageOpenFile(GetStoryLineDir(FindStoryline("Bartolomeu")) + "characters_names.txt");
	object chobj;
	ref ch;

	makeref(ch, chobj);


// Donald Hendy	
	ch.old.name = "Donald";
	ch.old.lastname = "Hendy";
	ch.name 	= LanguageConvertString(tmpNameFileID,"Donald");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Hendy");
	ch.id		= "Donald Hendy";
	ch.model	= "Corsair1";
	ch.headmodel = "h_Corsair1";
	ch.sound_type = "seaman";
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	GiveItem2Character(ch, "pistol3");
	ch.equip.gun = "pistol3";
	ch.location	= "BC_Tavern";
	ch.location.group = "sit";
	ch.location.locator = "sit6";
	ch.Dialog.Filename = "Habitue_dialog.c";
	ch.nation = PIRATE;
	ch.rank 	= 10;
	ch.reputation = "none";
	ch.experience = "3000";
	ch.skill.Leadership = "8";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "7";
	ch.skill.Accuracy = "7";
	ch.skill.Cannons = "5";
	ch.skill.Grappling = "3";
	ch.skill.Repair = "4";
	ch.skill.Defence = "2";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "7";
	ch.money = "1000";
	LAi_SetSitType(ch);
	LAi_group_MoveCharacter(ch, "BC_CITIZENS");
	ch.greeting = "Gr_frcrew member";
	AddGameCharacter(n, ch);

// Celestin Aguilar
	ch.old.name = "Celestin";
	ch.old.lastname = "Aguilar";
	ch.name 	= LanguageConvertString(tmpNameFileID,"Celestin");
	ch.lastname 	= LanguageConvertString(tmpNameFileID,"Aguilar");
	ch.id		= "Celestin Aguilar";
	ch.model	= "Fawn";
	ch.sound_type = "pirate";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	GiveItem2Character(ch, "pistol1");
	ch.equip.gun = "pistol1";
	ch.location	= "Buccaneers_Camp";
	ch.location.group = "goto";
	ch.location.locator = "goto39";
	ch.Dialog.Filename = "BC citizen_dialog.c";
	ch.rank 	= 1;
	ch.nation = PIRATE;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "5";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "BC_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

// Jasper Bullinger
	ch.old.name = "Jasper";
	ch.old.lastname = "Bullinger";
	ch.name = LanguageConvertString(tmpNameFileID,"Jasper");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Bullinger");
	ch.id		= "Jasper Bullinger";
	ch.model	= "fatman2";
	ch.sex = "man";
	ch.sound_type = "pirate";
	ch.location	= "BC_Tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "BC citizen_dialog.c";
	ch.nation = PIRATE;
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.rank 	= 3;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "2";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "2";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "BC_SOLDIERS");
	ch.greeting = "Gr_QC Citizen";
	AddGameCharacter(n, ch);

// Florentin Destot
	ch.old.name = "Florentin";
	ch.old.lastname = "Destot";
	ch.name = LanguageConvertString(tmpNameFileID,"Florentin");
	ch.lastname = LanguageConvertString(tmpNameFileID,"Destot");
	ch.id		= "Florentin Destot";
	ch.model = "33_Ronald";
	ch.sex = "man";
	ch.location	= "BC_tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Florentin Destot_dialog.c";
	ch.greeting = "Gr_antoine lebretton";
	ch.nation = PIRATE;
	ch.rank 	= 1;
	ch.reputation = "70";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "4";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.work = "";
	ch.quest.meeting = "0";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	AddGameCharacter(n, ch);


//  Buccaneer
	ch.old.name = "Pirate";
	ch.old.lastname = "";
	ch.name = LanguageConvertString(tmpNameFileID,"Pirate");
	ch.lastname = "";
	ch.id		= "buccaneer_01";
	ch.model	= "pirat1";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade1");
	ch.equip.blade = "blade1";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "Buccaneers_Camp";
	ch.location.group = "goto";
	ch.location.locator = "goto42";
	ch.Dialog.Filename = "Buccaneers_dialog.c";
	ch.rank 	= 6;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

//  Buccaneer
	ch.old.name = "Pirate";
	ch.old.lastname = "";
	ch.name = LanguageConvertString(tmpNameFileID,"Pirate");
	ch.lastname = "";
	ch.id		= "buccaneer_02";
	ch.model	= "pirat2";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade4");
	ch.equip.blade = "blade4";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "Buccaneers_Camp";
	ch.location.group = "goto";
	ch.location.locator = "goto12";
	ch.Dialog.Filename = "Buccaneers_dialog.c";
	ch.rank 	= 7;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

//  Buccaneer
	ch.old.name = "Pirate";
	ch.old.lastname = "";
	ch.name = LanguageConvertString(tmpNameFileID,"Pirate");
	ch.lastname = "";
	ch.id		= "buccaneer_03";
	ch.model	= "pirat3";
	ch.sex = "man";
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade1");
	ch.equip.blade = "blade1";
	GiveItem2Character(ch, GUN_COMMON);
	ch.equip.gun = GUN_COMMON;
	//JRH ammo mod -->
	TakenItems(ch, "gunpowder", 6);
	TakenItems(ch, "pistolbullets", 6);
	//JRH ammo mod <--
	ch.location	= "Buccaneers_Camp";
	ch.location.group = "goto";
	ch.location.locator = "goto15";
	ch.Dialog.Filename = "Buccaneers_dialog.c";
	ch.rank 	= 8;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "0";
	LAi_SetCitizenType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	AddGameCharacter(n, ch);

	LanguageCloseFile(tmpNameFileID);
}
